Please select Into the mobile phone version | Continue to access the computer ver.
DJI Fly app not compatible
12345678
80517 283 2019-11-13
Uploading and Loding Picture ...(0/1)
o(^-^)o
Mhinc
First Officer
Flight distance : 138481 ft
Canada
Offline

AE1M Posted at 2020-9-7 13:49
Maybe they should support 8-bit flip phones also?  Buy a used iPhone7+ or similar without a SIM or any cell plan and use it as your controller phone.  Tether to your old phone with Bluetooth for Google Maps during flight, problem solved.

That is a RIDICULOUS statement to make.  DJI is at fault here, when the initially didn't inform their customers that ArmV8 64-Bit Architecture was required.  They only provided the OS Specs that were required.  No one, after the above should have to run out and buy a new device after spending the money on a new drone from DJI.  The fact is, DJI should have made a 32 Bit version, or they should make the Mini and the Mini 2 compatible with DJI Go 4.  
I for one was using my Nvidia Shield K1 tablet with my Spark on DJI Go 4 without issue.  I now have to use my phone for my Mini 2 which I never intended to do.  The Mini and Mini 2 are supposed to be Entry level drones, they should also be supported by entry level devices.  DJI states that the DJI Fly app was developed as a more SIMPLE app for those using the Mini 1 and 2 yet it requires 64-Bit Architecture?  It makes no sense!
Maybe you should keep your unhelpful comments to yourself.  
7-9 23:14
Use props
Mhinc
First Officer
Flight distance : 138481 ft
Canada
Offline

DJI just needs to release the SDK so that Litchi can finally add support and we can use our 32 Bit devices for the Mini 2!
7-9 23:40
Use props
usernamealready
lvl.1

United States
Offline

IF I FIND A FRIEND THAT HAS A PHONE THAT IS LISTED AS COMPATABLE FOR THE DJI FLY APP COULD I JUST USE THAT PHONE FOR THE DOWNLOAD AND NOT CAUSE HIM ANY PROBLEMS WITH HIM USING HIS PHONE AFTER THAT? MYU EYESIGHT IS POOR SO I USE CAPITALS

9-1 02:29
Use props
djiuser_2gOFIEn3gSJP
New

United Kingdom
Offline

How do you think install the Litchi app on a 32bit device, the install always terminates with a cannot be installed error, whereas Dronelink installs fine.
It connects to the drone, but don't like the app at all as it doesn't seem to be have simple controls and is more geared to preset flights.
9-4 00:31
Use props
12345678
Advanced
You need to log in before you can reply Login | Register now

Credit Rules